Net::DNS::RR::TLSA(3)

NAME
Net::DNS::RR::TLSA - DNS TLSA resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name TLSA usage selector matchingtype certificate');

DESCRIPTION
The Transport Layer Security Authentication (TLSA) DNS resource record is used to associate a TLS server certificate or public key with the domain name where the record is found, forming a "TLSA certificate association". The semantics of how the TLSA RR is interpreted are described in RFC6698.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  usage
    $usage = $rr->usage;
    $rr->usage( $usage );

8-bit integer value which specifies the provided association that will be used to match the certificate presented in the TLS handshake.

  selector
    $selector = $rr->selector;
    $rr->selector( $selector );

8-bit integer value which specifies which part of the TLS certificate presented by the server will be matched against the association data.

  matchingtype
    $matchingtype = $rr->matchingtype;
    $rr->matchingtype( $matchingtype );

8-bit integer value which specifies how the certificate association is presented.

  cert
    $cert = $rr->cert;
    $rr->cert( $cert );

Hexadecimal representation of the certificate data.

  certbin
    $certbin = $rr->certbin;
    $rr->certbin( $certbin );

Binary representation of the certificate data.

COPYRIGHT
Copyright (c)2012 Willem Toorop, NLnet Labs.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC6698